const path = require("path");

module.exports = {
  productionSourceMap: process.env.NODE_ENV !== 'production',
  // publicPath: process.env.NODE_ENV === 'production' ? '/damo-system' : '/',
  devServer: {
    overlay: {
      warnings: true,
      errors: true
    }
  },
  configureWebpack: config => {
    config.externals = {
      vue: 'Vue',
      vuex: 'Vuex',
      axios: 'axios',
    };
    if (process.env.NODE_ENV === 'production') {
      config.optimization.minimizer[0].options.terserOptions.compress.warnings = false;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_console = true;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_debugger = true;
      config.optimization.minimizer[0].options.terserOptions.compress.pure_funcs = [
        'console.log'
      ];
    }
  }
};
